Bug 12535 - file locks on written file not released in copy chunk path
file locks on written file not released in copy chunk path
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.3
All All
: P5 normal
: 4.4
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-23 12:41 UTC by Björn Jacke
Modified: 2017-01-27 05:17 UTC (History)
2 users (show)

See Also:
bjacke: review? (slow)


Attachments
patch with cherry-pick and BUG info line (1.20 KB, patch)
2017-01-23 13:16 UTC, Björn Jacke
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2017-01-23 12:41:26 UTC
file locks on written file not released in copy chunk path

5059c8e2e3a6159bc2917ddd80d09fab35b39e66 (vfs_default: unlock the right file in copy chunk) should probably we cherry-picked to the release branches.
Comment 1 Ralph Böhme 2017-01-23 13:02:43 UTC
Hi Björn,

can you attach the patch as git format-patch from master to this bugreport so I can add my reviewed-by tag to the attachment? Thanks!

-slow
Comment 2 Björn Jacke 2017-01-23 13:16:14 UTC
Created attachment 12845 [details]
patch with cherry-pick and BUG info line
Comment 3 Ralph Böhme 2017-01-23 16:41:59 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 4 Karolin Seeger 2017-01-24 20:14:08 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Karolin Seeger 2017-01-27 05:17:55 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!